package com.ejie.aa21b.model;

/**
 * Aa21b98s01  
 * 
 *  
 */

public class Aa21b98s01 implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	// Clave compuesta
	private String tabla98;
	private Long ordv98;
	private String campo98;
	private String alias98;
	private Long long98;
	private String tipo98;
	private Integer clave98;
	private Integer vis98;

	/**
	 * Method 'Aa21b98s01'.
	 */
	public Aa21b98s01() {
	}

	/**
	 * Method 'Aa21b98s01'.
	 * 
	 * @param tabla98
	 *            String
	 * @param ordv98
	 *            Long
	 */
	public Aa21b98s01(String tabla98, Long ordv98) {
		this.tabla98 = tabla98;
		this.ordv98 = ordv98;
	}

	/**
	 * Method 'Aa21b98s01'.
	 * 
	 * @param tabla98
	 *            String
	 * @param ordv98
	 *            Long
	 * @param campo98
	 *            String
	 * @param alias98
	 *            String
	 * @param long98
	 *            Long
	 * @param tipo98
	 *            String
	 * @param clave98
	 *            Integer
	 * @param vis98
	 *            Integer
	 */
	public Aa21b98s01(String tabla98, Long ordv98, String campo98,
			String alias98, Long long98, String tipo98, Integer clave98,
			Integer vis98) {

		this.tabla98 = tabla98;
		this.ordv98 = ordv98;
		this.campo98 = campo98;
		this.alias98 = alias98;
		this.long98 = long98;
		this.tipo98 = tipo98;
		this.clave98 = clave98;
		this.vis98 = vis98;
	}

	/**
	 * Method 'getTabla98'.
	 * 
	 * @return String
	 */

	public String getTabla98() {
		return this.tabla98;
	}

	/**
	 * Method 'setTabla98'.
	 * 
	 * @param tabla98
	 *            String
	 * @return
	 */

	public void setTabla98(String tabla98) {
		this.tabla98 = tabla98;
	}

	/**
	 * Method 'getOrdv98'.
	 * 
	 * @return Long
	 */

	public Long getOrdv98() {
		return this.ordv98;
	}

	/**
	 * Method 'setOrdv98'.
	 * 
	 * @param ordv98
	 *            Long
	 * @return
	 */

	public void setOrdv98(Long ordv98) {
		this.ordv98 = ordv98;
	}

	/**
	 * Method 'getCampo98'.
	 * 
	 * @return String
	 */

	public String getCampo98() {
		return this.campo98;
	}

	/**
	 * Method 'setCampo98'.
	 * 
	 * @param campo98
	 *            String
	 * @return
	 */

	public void setCampo98(String campo98) {
		this.campo98 = campo98;
	}

	/**
	 * Method 'getAlias98'.
	 * 
	 * @return String
	 */

	public String getAlias98() {
		return this.alias98;
	}

	/**
	 * Method 'setAlias98'.
	 * 
	 * @param alias98
	 *            String
	 * @return
	 */

	public void setAlias98(String alias98) {
		this.alias98 = alias98;
	}

	/**
	 * Method 'getLong98'.
	 * 
	 * @return Long
	 */

	public Long getLong98() {
		return this.long98;
	}

	/**
	 * Method 'setLong98'.
	 * 
	 * @param long98
	 *            Long
	 * @return
	 */

	public void setLong98(Long long98) {
		this.long98 = long98;
	}

	/**
	 * Method 'getTipo98'.
	 * 
	 * @return String
	 */

	public String getTipo98() {
		return this.tipo98;
	}

	/**
	 * Method 'setTipo98'.
	 * 
	 * @param tipo98
	 *            String
	 * @return
	 */

	public void setTipo98(String tipo98) {
		this.tipo98 = tipo98;
	}

	/**
	 * Method 'getClave98'.
	 * 
	 * @return Integer
	 */

	public Integer getClave98() {
		return this.clave98;
	}

	/**
	 * Method 'setClave98'.
	 * 
	 * @param clave98
	 *            Integer
	 * @return
	 */

	public void setClave98(Integer clave98) {
		this.clave98 = clave98;
	}

	/**
	 * Method 'getVis98'.
	 * 
	 * @return Integer
	 */

	public Integer getVis98() {
		return this.vis98;
	}

	/**
	 * Method 'setVis98'.
	 * 
	 * @param vis98
	 *            Integer
	 * @return
	 */

	public void setVis98(Integer vis98) {
		this.vis98 = vis98;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		// Clave compuesta

		result.append("[ tabla98: ").append(this.tabla98).append(" ]");

		result.append(", [ ordv98: ").append(this.ordv98).append(" ]");
		result.append(", [ campo98: ").append(this.campo98).append(" ]");
		result.append(", [ alias98: ").append(this.alias98).append(" ]");
		result.append(", [ long98: ").append(this.long98).append(" ]");
		result.append(", [ tipo98: ").append(this.tipo98).append(" ]");
		result.append(", [ clave98: ").append(this.clave98).append(" ]");
		result.append(", [ vis98: ").append(this.vis98).append(" ]");
		result.append("}");
		return result.toString();
	}

}
